Welcome to the New BigPanda API Documentation
authTypes array listing the authentication methods the integration supports. Most integrations have one auth type. When there are multiple, pick the one you want and send its inputs as your auth fields.selectedAuthType if the field names overlap between auth types.🚧 Authentication All BigPanda APIs require Bearer Token Authorization in the call headers. This API uses the User API Key type of Authorization token.
🚧 Required permission This API requires the BiggyWeb:view permission.
❗ Rate limitations To maintain quality of service, the Biggy API is limited to 100 requests per minute. Additional requests will return a 429 response code and the request will need to be retried.
curl --location 'https://api.biggy.io/integrations/catalog' \
--header 'Authorization: Bearer <token>'{
"integrations": [
{
"name": "datadog",
"displayName": "Datadog",
"description": "Monitoring and analytics platform",
"canBeOnPrem": false,
"multiInstanceSupported": true,
"inputs": [
{
"name": "url",
"displayName": "URL",
"isOptional": true,
"description": "Datadog API endpoint"
}
],
"authTypes": [
{
"name": "apiKey",
"displayName": "API Key",
"isDefault": true,
"inputs": [
{
"name": "apiKey",
"displayName": "API Key",
"isOptional": false
},
{
"name": "appKey",
"displayName": "Application Key",
"isOptional": false
},
{
"name": "region",
"displayName": "Region",
"isOptional": false
}
]
}
]
}
]
}